package org.cs.mgr.user.service;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.user.model.MgmUser;

/**
 * 
 * @ClassName: IMgmUserService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:55
 */
public interface IMgmUserService extends IBaseService<MgmUser> {

	Pager getMgmUsers(Pager page);

	boolean delMgmUser(Integer id);
	
	boolean addMgmUser(MgmUser mgmUser);
	
	boolean updateMgmUser(MgmUser mgmUser);
 
	JSONObject login(Map<String, String> admin);
	
	JSONObject chengePwd(Map<String, String> admin);
	
	JSONObject forgetPwd(Map<String, String> map);
	
	JSONObject register(MgmUser user);
	
	JSONObject phoneBinding(Map<String, String> admin);
	
	JSONObject register(Map<String, String> map);
	
	JSONObject getUserInfo(Map<String, String> map);
	
	JSONObject updateUserInfo(MgmUser mgmUser);
	
	JSONObject getUserQRCode(HttpServletRequest request,Map<String, String> map);
	
	String getUserQRCode(HttpServletRequest request,String userId);
	
	Pager findMgmUser(Pager page, Map<String, String> map);
	
	public Pager getMgmUsersBySeach(Pager page, Map<String, String> map);

	public Pager getMgmUsersBySeachTj(Pager page, Map<String, String> map);
	
	MgmUser getByPropertie(String code, String string);

	Map<String, Object> getUserMap(String personnalcode);

	Map<String,Object> getUserByCode(String code);
}